package com.huimv.admin.controller;


import com.huimv.admin.common.utils.Result;
import com.huimv.admin.service.IEnvDayagePeizhiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-04-10
 */
@RestController
@RequestMapping("/env-dayage-peizhi")
@CrossOrigin
public class EnvDayagePeizhiController {

    @Autowired
    private IEnvDayagePeizhiService envDayagePeizhiService;
    @PostMapping("/listDeploy")
    public Result listDeploy(@RequestBody Map<String, String> paramsMap){
        return envDayagePeizhiService.listDeploy(paramsMap);
    }

    @PostMapping("/listDeployByDevice")
    public Result listDeployByDevice(@RequestBody Map<String, String> paramsMap){
        return envDayagePeizhiService.listDeployByDevice(paramsMap);
    }

    @PostMapping("/rename")
    public Result rename(@RequestBody Map<String, String> paramsMap){
        return envDayagePeizhiService.rename(paramsMap);
    }
    @PostMapping("/listDayAge")
    public Result listDayAge(@RequestBody Map<String, String> paramsMap){
        return envDayagePeizhiService.listDayAge(paramsMap);
    }
    @PostMapping("/apply")
    public Result apply(@RequestBody Map<String, String> paramsMap){
        return envDayagePeizhiService.apply(paramsMap);
    }

    @PostMapping("/uplode")
    public Result uplode(@RequestBody Map<String, String> paramsMap){
        return envDayagePeizhiService.uplode(paramsMap);
    }
}
