package com.huimv.admin.controller;


import com.huimv.admin.common.utils.Result;
import com.huimv.admin.service.IEnvDeviceOnlineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-03-24
 */
@RestController
@RequestMapping("/env-device-online")
@CrossOrigin
public class EnvDeviceOnlineController {

    @Autowired
    private IEnvDeviceOnlineService envDeviceOnlineService;
    @PostMapping("/listDeviceStatus")
    public Result listDeviceStatus(@RequestBody Map<String, String> paramsMap){
        return envDeviceOnlineService.listDeviceStatus(paramsMap);
    }
}
