package com.huimv.admin.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.admin.common.utils.Result;
import com.huimv.admin.common.utils.ResultCode;
import com.huimv.admin.entity.EnvWater;
import com.huimv.admin.service.IEnvWaterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-03-23
 */
@RestController
@RequestMapping("/env-water")
@CrossOrigin
public class EnvWaterController {

    @Autowired
    private IEnvWaterService envWaterService;

    @PostMapping("/list")
    public Result listWater(@RequestBody Map<String, String> paramsMap){
        return envWaterService.listWater(paramsMap);
    }
    @PostMapping("/testList")
    public Result testList(){
        List<EnvWater> envWaters = envWaterService.list(new QueryWrapper<EnvWater>().eq("farm_Id", 27).orderByDesc("update_time").last("limit 10"));
        return new Result(ResultCode.SUCCESS,envWaters);
    }
}
